Bug 170189 - Anaconda hits exception when RAID button hit on partitioning screen
Anaconda hits exception when RAID button hit on partitioning screen
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-08 10:46 EDT by Willem Riede
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-11 12:15:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dump saved by anaconda after the exception (73.52 KB, text/plain)
2005-10-08 10:47 EDT, Willem Riede
no flags Details

  None (edit)
Description Willem Riede 2005-10-08 10:46:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
When attempting custom partitioning, having defined two software raid partitions, one on sda, the second on sdb, I want to make those into a raid volume, so I hit the RAID button and get an exception.


Version-Release number of selected component (if applicable):
anaconda-10.3.0.28-1.x86_64

How reproducible:
Always

Steps to Reproduce:
1.choose custom partitioning in (NFS) install
2.create two software raid partitions
3.hit RAID button on partitioning screen
  

Actual Results:  Traceback (most recent call last):
  File "/usr/lib/anaconda/iw/partition_gui.py", line 1240, in makeraidCB
    lbltxt = _("Software RAID allows you to combine "
NameError: global name 'constants' is not defined

see attachment for full dump.

Expected Results:  /dev/md0 created

Additional info:

see attachment
Comment 1 Willem Riede 2005-10-08 10:47:19 EDT
Created attachment 119733 [details]
dump saved by anaconda after the exception
Comment 2 Jeremy Katz 2005-10-11 12:15:56 EDT
Fixed in CVS

Note You need to log in before you can comment on or make changes to this bug.